#version 330 core
uniform vec2 res;
in vec2 UV;
out vec4 color;

const float multiplyer = 16.0;

void main() {
  int idx = int(mod(float(int(multiplyer * UV.y)), 2.0)) + int(mod(float(int(multiplyer * UV.x)), 2.0));
  float r = floor(mod(idx, 2.0));
  color = vec4(vec3(r), 1.0);
}
